Page MenuHomePhabricator

No fallback implemented for mb_strtolower (if mb extension is not enabled)
Closed, ResolvedPublic

Description

Author: Bryan.TongMinh

Description:
SVG.php uses mb_strtolower, but this function is not defined in Fallback.php, causing unit tests to fail if the mb extension is not enabled.


Version: 1.22.0
Severity: normal

Details

Reference
bz53912

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:01 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz53912.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 8 2013, 3:24 PM

I think an alternate implementation exists in the form of Language#lc. It'd just have to be hooked up in appropriate places.

Bryan.TongMinh wrote:

Or the implementation has to move to Fallback and Language could call mb_strtolower unconditionally

Change 199584 had a related patch set uploaded (by Nikerabbit):
Replace mb_strtolower with strtolower

https://gerrit.wikimedia.org/r/199584

Change 199584 merged by jenkins-bot:
Replace mb_strtolower with strtolower

https://gerrit.wikimedia.org/r/199584

Last instance in core was removed, so this bug could be closed now.

Nemo_bis closed this task as Resolved.Mar 26 2015, 8:26 AM
Nemo_bis assigned this task to Nikerabbit.
Nemo_bis added a project: MW-1.25-release.
Nemo_bis set Security to None.